Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### dot()

Examples

    PVector  v = new PVector(10, 20, 0);
    float d = v.dot(60, 80, 0);
    println(d);  // Prints "2200.0"

    PVector  v1 = new PVector(10, 20, 0);
    PVector  v2 = new PVector(60, 80, 0);
    float d = v1.dot(v2);
    println(d);  // Prints "2200.0"

Description | Calculates the dot product of two vectors.

Syntax

    vec.dot(x, y, z)
    vec.dot(v)

Parameters

vec | any variable of type PVector
x | float: the x component of a vector
y | float: the y component of a vector
z | float: the z component of a vector
v | PVector: the x, y, and z components from a PVector object

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST